<?php

include "../../classes/autoload.php";

$html = new html("");

$app = new inner_app();
$app->quick_bar("/app/jobcard_admin");
$app->app_start();
?>

<div class="column width_80 background_1 border_radius">

    <h1>NEW ADDITIONAL DETAILS</h1>
    <div class="row width_80">
        <div class="column width_50">
            <label>QUESTION</label>
            <input type="text" class="width_80" id='name' name='name' />
        </div>
    </div>
    <br>
    <div class="width_80 border_2" id="options_details">
    </div>
    <br>
    <button class="width_90" onclick="add_options()">ADD OPTIONS</button>
    <br>
    <button class="width_90" onclick="save('save_job_card_additional_details.php')">SAVE</button>
    <br>

</div>


<script>
    function add_options() {
        event.preventDefault();
        index = 99999;
        var options_details = document.getElementById('options_details');
        var new_options_details = document.createElement('div');
        new_options_details.className = 'row width_100';
        new_options_details.innerHTML = `
                  
                    <div class="column width_100">
                        <label>OPTION</label>
                        <input type="text" class="width_80" id='option[]' name='option[]' />
                    </div>
                      <div class="column width_100">
                        <button  onclick="remove(this)" class="width_80" id='delete[]' name='delete[]'>DELETE</button>
                    </div>
                    `;
        options_details.appendChild(new_options_details);
        index++;
    }
    function remove(e) {
        e.parentElement.parentElement.remove();
    }
    function save(url) {
        var elements = document.getElementsByTagName('input');
        var payload = {};
        for (var i = 0; i < elements.length; i++) {
            var element = elements[i];
            if (element.type === 'text' || element.type === 'date' || element.type === 'email') {
                payload[element.name] = element.value;
            }
        }

        var elements = document.getElementsByTagName('select');
        for (var i = 0; i < elements.length; i++) {
            var element = elements[i];

            payload[element.name] = element.value;

        }

        var form = document.createElement('form');
        form.method = 'POST';
        form.action = url;

        for (var key in payload) {
            if (payload.hasOwnProperty(key)) {
                var input = document.createElement('input');
                input.type = 'hidden';
                input.name = key;
                input.value = payload[key];

                form.appendChild(input);
            }
        }

        document.body.appendChild(form);
        form.submit();
    }
</script>